# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8


DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{11,12,13} )

inherit distutils-r1 systemd

DESCRIPTION="Systemd failure handler"
HOMEPAGE="https://gitea.fulh.ax/feffe/sysalert"
if [[ ${PV} == 9999 ]] ; then
	EGIT_REPO_URI="https://gitea.fulh.ax/feffe/sysalert.git"
	inherit git-r3
	KEYWORDS="~amd64 ~arm64"
else
	SRC_URI="https://gitea.fulh.ax/feffe/sysalert/archive/v${PV}.tar.gz -> ${P}.tar.gz"
	S="${WORKDIR}/sysalert"
	KEYWORDS="amd64 arm64"
fi

RESTRICT="mirror"
LICENSE="MIT"
SLOT="0"

DEPEND=""
RDEPEND="${DEPEND} dev-python/python-systemd"
BDEPEND=""

src_install() {
	distutils-r1_src_install
	systemd_dounit systemd/sysalert-*.service
	systemd_install_dropin sysalert-.service systemd/overrides/sysalert-.service.d.conf
	systemd_install_dropin service systemd/overrides/service.d.conf
	insinto /etc
	doins config/sysalert.ini
}
